unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, ExtCtrls, TeeProcs, Chart, TeeComma, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    CBLog: TCheckBox;
    CBInv: TCheckBox;
    GroupBox2: TGroupBox;
    CBNegative: TCheckBox;
    CBStyle: TComboBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure CBLogClick(Sender: TObject);
    procedure CBInvClick(Sender: TObject);
    procedure CBNegativeClick(Sender: TObject);
    procedure CBStyleChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses ErrorBar, TeeConst;

var errorBar1: TErrorBarSeries;

procedure TForm1.CBInvClick(Sender: TObject);
begin
  Chart1.Axes.Left.Inverted:=CBInv.Checked;
end;

procedure TForm1.CBLogClick(Sender: TObject);
begin
  Chart1.Axes.Left.Logarithmic:=CBLog.Checked;
end;

procedure TForm1.CBNegativeClick(Sender: TObject);
begin
  errorBar1.YValue[2]:=-errorBar1.YValue[2];
  errorBar1.YValue[3]:=-errorBar1.YValue[3];
  errorBar1.YValue[4]:=-errorBar1.YValue[4];
end;

procedure TForm1.CBStyleChange(Sender: TObject);
begin
  errorBar1.ErrorStyle:=TErrorSeriesStyle(CBStyle.ItemIndex);
end;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1.Title.Text.Text:=TeeMsg_Version;
  Chart1.View3D:=false;

  errorBar1:=Chart1.AddSeries(TErrorBarSeries) as TErrorBarSeries;
  with errorBar1 do
  begin
    ErrorStyle:=essTopBottom;
    AddErrorBar(0, 100, 90);
    AddErrorBar(1, 1000, 900);
    AddErrorBar(2, 500, 0);
    AddErrorBar(3, 100, 90);
    AddErrorBar(4, 1000, 900);
  end;

  CBStyle.Items.Add('Left');
  CBStyle.Items.Add('Right');
  CBStyle.Items.Add('LeftRight');
  CBStyle.Items.Add('Top');
  CBStyle.Items.Add('Bottom');
  CBStyle.Items.Add('TopBottom');
  CBStyle.ItemIndex:=5;
end;

end.
